/** @public */
declare const _default: (target: Element, options: Options) => ScrollAction[]
export default _default

/** @public */
export declare interface Options {
  block?: ScrollLogicalPosition
  inline?: ScrollLogicalPosition
  scrollMode?: ScrollMode
  boundary?: Element | ((parent: Element) => boolean) | null
  /**
   * New option that skips auto-scrolling all nodes with overflow: hidden set
   * See FF implementation: https://hg.mozilla.org/integration/fx-team/rev/c48c3ec05012#l7.18
   * @public
   */
  skipOverflowHiddenElements?: boolean
}

/** @public */
export declare interface ScrollAction {
  el: Element
  top: number
  left: number
}

/**
 * This new option is tracked in this PR, which is the most likely candidate at the time: https://github.com/w3c/csswg-drafts/pull/1805
 * @public
 */
export declare type ScrollMode = 'always' | 'if-needed'

export {}
